/**
 * @file
 * Views Slideshow Xtra Javascript.
 */
(function ($) {
  Drupal.behaviors.viewsSlideshowXtraOverlay = {
    attach: function (context) {
      $('[id^="views-slideshow-xtra-overlay-"]:not(.views-slideshow-xtra-overlay-processed)').addClass('views-slideshow-xtra-overlay-processed').each(function() {
        // Get the slide box.
        var slideArea = $(this).parent().parent().parent().parent().find('.views_slideshow_main');

        // Remove the views slideshow xtra html from the dom
        var xtraHTML = $(this).detach();

        // Attach the views slideshow xtra html to below the main slide.
        $(xtraHTML).appendTo(slideArea);
      });
    }
  };

  Drupal.viewsSlideshowXtraOverlay = Drupal.viewsSlideshowXtraOverlay || {};

  Drupal.viewsSlideshowXtraOverlay.transitionBegin = function (options) {
    var overlayID = '#views-slideshow-xtra-overlay-' + options.slideshowID;
    var slideHeight = $(overlayID).prev().height();
    var slideWidth = $(overlayID).prev().width();
    $(overlayID).css({'margin-top': -slideHeight + 'px', 'width': slideWidth + 'px', 'height': slideHeight + 'px'});

    $('#views-slideshow-xtra-overlay-' + options.slideshowID + ' .views-slideshow-xtra-overlay-row').hide();
    $('#views-slideshow-xtra-overlay-' + options.slideshowID + ' .views-slideshow-xtra-overlay-row-' + options.slideNum).show();
  };
})(jQuery);
