<?php

/**
 * @file
 * The theme system, which controls the output of views slideshow.
 *
 * This just adds a wrapper div to the slideshow.
 */

function _views_slideshow_xtra_overlay_preprocess_views_slideshow_xtra_overlay(&$vars) {
  drupal_add_css(drupal_get_path('module', 'views_slideshow_xtra_overlay') . '/css/views_slideshow_xtra_overlay.css');
  drupal_add_js(drupal_get_path('module', 'views_slideshow_xtra_overlay') . '/js/views_slideshow_xtra_overlay.js');

  $rows = $vars['rows'];
  $view = $vars['view'];

  // Add the slideshow elements.
  $vars['classes_array'][] = 'views-slideshow-xtra-overlay';

  $styles = '';
  if (isset($view->display_handler->display->display_options['style_options']['views_slideshow_xtra_overlay'])) {
    $styles = $view->display_handler->display->display_options['style_options']['views_slideshow_xtra_overlay'];
  }

  $styles_default = '';
  if (isset($view->display['default']->display_options['style_options']['views_slideshow_xtra_overlay'])) {
    $styles_default = $view->display['default']->display_options['style_options']['views_slideshow_xtra_overlay'];
  }

  $row_count = 0;
  $rendered_rows = '';
  foreach ($rows as $count => $item) {
    $rendered_rows .= theme('views_slideshow_xtra_overlay_row', array('item' => $item, 'count' => $row_count, 'view' => $vars['view']));
    $row_count++;
  }

  $vars['rendered_rows'] = $rendered_rows;
}

function _views_slideshow_xtra_overlay_preprocess_views_slideshow_xtra_overlay_row(&$vars) {
  $vars['classes_array'][] =  'views-slideshow-xtra-overlay-row-' . $vars['count'];

  /**
   * Support custom row classes.
   */
  if ($row_class = $vars['view']->style_plugin->get_row_class($vars['count'])) {
    $vars['classes_array'][] = $row_class;
  }
}
