<?php

/**
 * @file
 * Contains the list style plugin.
 */

/**
 * Style plugin to render each item of the xtra overlay.
 *
 * @ingroup views_style_plugins
 */
class views_slideshow_xtra_overlay_plugin_style_overlay extends views_plugin_style_list {

  // Set default options
  function option_definition() {
    $options = parent::option_definition();

    $default_options = array(
      'left' => array('default' => 0),
      'top' => array('default' => 0),
    );

    return array_merge($options, $default_options);
  }

  // Build the settings form for the view.
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['left'] = array(
      '#type' => 'textfield',
      '#title' => t('Left'),
      '#description' => 'Position from the left to start the overlay',
      '#default_value' => $this->options['left'],
      '#size' => 60,
      '#maxlength' => 128,
    );

    $form['top'] = array(
      '#type' => 'textfield',
      '#title' => t('Top'),
      '#description' => 'Position from the top to start the overlay',
      '#default_value' => $this->options['top'],
      '#size' => 60,
      '#maxlength' => 128,
    );
  }

  // Run any validation on the form settings.
  function options_validate(&$form, &$form_state) {
    if (!is_numeric($form_state['values']['style_options']['left'])) {
      form_error($form['left'], t('!setting must be numeric!', array('Left')));
    }

    if (!is_numeric($form_state['values']['style_options']['top'])) {
      form_error($form['top'], t('!setting must be numeric!', array('Top')));
    }
  }
}
